ilch Forum » Allgemein » HTML, PHP, SQL,... » PhP Erweiterung

Geschlossen
  1. #1
    User Pic
    IronMan Mitglied
    Registriert seit
    11.09.2021
    Beitrge
    96
    Beitragswertungen
    30 Beitragspunkte
    Hallo Simone,

    welche php Version hast du installiert, 8.x eventuell?
    0 Mitglieder finden den Beitrag gut.
  2. #2
    User Pic
    BlackRomeo Moderator
    Registriert seit
    31.01.2014
    Beitrge
    238
    Beitragswertungen
    26 Beitragspunkte
    ZitatZitat geschrieben von Schwiegermuddi
    Ja, Installiert ist 8.1.1 ist vorhanden
    >= 7.0 ist erforderlich


    PhP 8.x Unterstützung gibt es noch nicht.

    Lade dir mal Bitte die Xampp Version mit dem PhP 7 Runter. dan sollte es Funktionieren.
    Frag nicht  Du knntest eine Antwort erhalten


    0 Mitglieder finden den Beitrag gut.
  3. #3
    User Pic
    hhunderter Entwickler
    Registriert seit
    12.08.2018
    Beitrge
    330
    Beitragswertungen
    57 Beitragspunkte
    Als ich letztens ausprobiert habe mit PHP 8.1.1 habe ich in diesem Bereich keinerlei Probleme Festellen können.
    Das Problem wird wahrscheinlich sein das die PHP-GD Erweiterung nicht Aktiviert/Installiert auf deinem System war...
    Aber wie schon oben erwähne wurde das Ilch-System noch nicht auf 8.1.1 vollständig kontrolliert.
    Ich Arbeite dran und wird wahrscheinlich beim nächsten Update/Version Funktionieren, bis dahin noch ein wenig Geduld zwinker

    PS: um GD zu Aktivieren (Habe gerade xamp ausprobiert da ist dies tatsächlich deaktiviert...) die Datei "path\to\xamp\php\php.ini" öffnen und nach "extension=gd" suchen ... wenn da ein ";" vorangestellt ist löschen ... Server (Apache) neu starten und dann sollte es funktionieren


    Zuletzt modifiziert von hhunderter am 22.01.2022 - 19:48:43
    0 Mitglieder finden den Beitrag gut.
  4. #4
    User Pic
    hhunderter Entwickler
    Registriert seit
    12.08.2018
    Beitrge
    330
    Beitragswertungen
    57 Beitragspunkte
    Zum ersten Post von dir : es scheint so als würde da was fehlen in deiner DB bzw. etwas schief gelaufen bei der Installation
    - Hast du kontrolliert ob die Tabelle vorhanden ist?
    - kommt nur dieser SQL-Fehler oder auch einen Dateinamen mit zeile?

    Zu deinem 2. Post, wie oben schon genannt ist die Aktuelle Version von Ilch noch nicht PHP8.1 kompatible , ich habe schon Änderungen gemacht diese werden allerdings erst in der nächsten Version enthalten sein...
    0 Mitglieder finden den Beitrag gut.
  5. #5
    User Pic
    M.vittel Mitglied
    Registriert seit
    16.11.2018
    Beitrge
    319
    Beitragswertungen
    24 Beitragspunkte
    Kann ich nur bestätigen. Du hast folgenden Fehler:
    MySQL Error: Table 'gamed-1423280_.DoKarticles_content' doesn't exist
    Es kann nicht auf deine Datenbank Tabelle: gamed-1423280_.DoKarticles_content zugegriffen werden, hast du die gelöscht oder wurde die nicht installiert?
    Kannste nachsehen unter phpMyAdmin wenn du dich bei gamed einloggst.
    RealLife ... das ist doch das Game mit der geilen Grafik und der scheiss Story
    0 Mitglieder finden den Beitrag gut.
  6. #6
    User Pic
    RTX2070 Entwickler
    Registriert seit
    14.06.2019
    Beitrge
    246
    Beitragswertungen
    44 Beitragspunkte
    Hi,

    ich denke mal es liegt an dem Tabellen Präfix, welchen man bei der Installation angeben kann.

    Der Standard ist ilch_

    Schwiegermutti hat aber als Präfix DoK
    Es fehlt hier der Unterstrich _ also DoK_

    Entweder in phpmyadmin nachträglich ändern oder die Installation nochmal neu anstoßen.

    Es gibt keine Tabellen in der DB die bspw. DoKarticles heißen.

    Lg
    0 Mitglieder finden den Beitrag gut.
Geschlossen

Zurck zu HTML, PHP, SQL,...

Optionen: Bei einer Antwort zu diesem Thema eine eMail erhalten